# config/services.yaml
parameters:
    stripe_secret_key: '%env(STRIPE_SECRET_KEY)%'
    stripe_public_key: '%env(STRIPE_PUBLIC_KEY)%'
    stripe_webhook_secret: '%env(STRIPE_WEBHOOK_SECRET)%'
    # 💡 REMOVED : app_url n'est plus nécessaire

services:
    _defaults:
        autowire: true
        autoconfigure: true

    App\:
        resource: '../src/'
        exclude:
            - '../src/DependencyInjection/'
            - '../src/Entity/'
            - '../src/Kernel.php'

    # Configuration spécifique pour WebhookController (inchangé)
    App\Controller\WebhookController:
        arguments:
            $stripeWebhookSecret: '%env(STRIPE_WEBHOOK_SECRET)%'
            
    # 💡 REMOVED : La configuration de OrderController n'est plus nécessaire (autowiring par défaut)